Package com.google.earth.kml._2

# Class LodType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.LodType

public class LodType extends ObjectType
<p>Java class for LodType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="LodType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <all> <element name="minLodPixels" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="maxLodPixels" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="minFadeExtent" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> <element name="maxFadeExtent" type="{http://www.w3.org/2001/XMLSchema}float" minOccurs="0"/> </all> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Float`
  `maxFadeExtent`
  `protected Float`
  `maxLodPixels`
  `protected Float`
  `minFadeExtent`
  `protected Float`
  `minLodPixels`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Float`
  `getMaxFadeExtent()`
  Gets the value of the maxFadeExtent property.
  `Float`
  `getMaxLodPixels()`
  Gets the value of the maxLodPixels property.
  `Float`
  `getMinFadeExtent()`
  Gets the value of the minFadeExtent property.
  `Float`
  `getMinLodPixels()`
  Gets the value of the minLodPixels property.
  `void`
  `setMaxFadeExtent(Float value)`
  Sets the value of the maxFadeExtent property.
  `void`
  `setMaxLodPixels(Float value)`
  Sets the value of the maxLodPixels property.
  `void`
  `setMinFadeExtent(Float value)`
  Sets the value of the minFadeExtent property.
  `void`
  `setMinLodPixels(Float value)`
  Sets the value of the minLodPixels property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### minLodPixels

    protected Float minLodPixels

  - ### maxLodPixels

    protected Float maxLodPixels

  - ### minFadeExtent

    protected Float minFadeExtent

  - ### maxFadeExtent

    protected Float maxFadeExtent

- ## Constructor Details

  - ### LodType

    public LodType()

- ## Method Details

  - ### getMinLodPixels

    public Float getMinLodPixels()
    Gets the value of the minLodPixels property.
    Returns:
      possible object is `Float`

  - ### setMinLodPixels

    public void setMinLodPixels(Float value)
    Sets the value of the minLodPixels property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getMaxLodPixels

    public Float getMaxLodPixels()
    Gets the value of the maxLodPixels property.
    Returns:
      possible object is `Float`

  - ### setMaxLodPixels

    public void setMaxLodPixels(Float value)
    Sets the value of the maxLodPixels property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getMinFadeExtent

    public Float getMinFadeExtent()
    Gets the value of the minFadeExtent property.
    Returns:
      possible object is `Float`

  - ### setMinFadeExtent

    public void setMinFadeExtent(Float value)
    Sets the value of the minFadeExtent property.
    Parameters:
      `value` - allowed object is `Float`

  - ### getMaxFadeExtent

    public Float getMaxFadeExtent()
    Gets the value of the maxFadeExtent property.
    Returns:
      possible object is `Float`

  - ### setMaxFadeExtent

    public void setMaxFadeExtent(Float value)
    Sets the value of the maxFadeExtent property.
    Parameters:
      `value` - allowed object is `Float`